function saveYUVsingle8bit(fileName, outY, outCbCr222)

fsave = fopen(fileName,'wb');

height = size(outY, 1);
width = size(outY, 2);

Ysave = outY(:,:,1)';
Cbsave = outCbCr222(:,:,2)';
Crsave = outCbCr222(:,:,3)';

fwrite(fsave, uint8(Ysave), 'uint8');
fwrite(fsave, uint8(Cbsave), 'uint8');
fwrite(fsave, uint8(Crsave), 'uint8');

fclose(fsave);
